PDA

Afficher la version complète : [Réglé] Intel G915 et ecran 13''



crash
23/10/2005, 18h57
Je revien encore avec ce probleme parcequ il n'est toujours pas resolut... (je l'ai surement mal expliquer...)

J'ai un portable avec un ecran 13'', je voudrai le mettre dans sa resolution normal (1280x768) mais il ne veu pas.. Quand je suis dans SaX2 je met l'ecran comme un -->LCD 1280x768 WXGA et je lui dis de me mettre dans cette resolution. Quand je quitte sax2 il me demande si je veu tester ou enregistrer, je test et là il me remet en 1024x768...?????!?!?!? je me dis pas grave un reboot et resolut...ben nan veu po il memorise que je lui ai demander de me mettre en 1280 mais il est en 1024...???

Bref je me dis que je dois installer les pilotes de chez intel et pendant l'install il met un message d'erreur...

<div class='quotetop'>Citation </div>
The script will now compile the agpgart module and DRM kernel modules
for your machine.

Press ENTER to continue or CTRL-C to exit.


Compiling new agpgart module...

ERROR: AGPGART module did not compile

Compiling DRM module...

ERROR: Kernel modules did not compile

The DRI drivers can not be installed without the latest kernel modules.
Installation will be aborted. See the dri.log file for information on
what went wrong.[/b]



Voulez vous le DRI.LOG? parcequ'il est fort long...

galagann
23/10/2005, 19h27
Salux,

Tu avais bien installé le Kernel-Source avant d'effectué cette installation de driver ?

crash
23/10/2005, 20h26
vi ils sont installer...

j'ai remarquer quand je fasi uname-r mon kernel c'est : 2.6.13-15-bigsmp c'est grave docteur, le bigsmp??

http://www.alionet.org/style_emoticons/<#EMO_DIR#>/blink.gif

tu veu que je t'envoi le dri.log?

galagann
23/10/2005, 20h40
Tu as un processeur Intel HT ? Ou autre processeur multi-core !

crash
23/10/2005, 21h22
C un Centrino 1.7...

Je vien de refaire le test avec le kernel : 2.6.13-15-smp et meme erreur

ludoles
23/10/2005, 21h31
http://www.alionet.org/style_emoticons/<#EMO_DIR#>/unsure.gif http://www.alionet.org/style_emoticons/<#EMO_DIR#>/unsure.gif
Je sais pas si c'est un bon choix ni si c'est important mais normalement les noyeaux smp sont pour les machines multi processeurs...
Je pense que le -default est plus approprié...
Ton erreur de compile pourrait venir de là...

crash
23/10/2005, 21h51
Re-Re-Re test ;-)

avec le kernel: 2.6.13-15-default marche tjrs po :'( http://www.alionet.org/style_emoticons/<#EMO_DIR#>/unsure.gif

Voila je sais c pas poli mais je fais petter le fichier dri.log

<div class='quotetop'>Citation </div>
make -C /lib/modules/2.6.13-15-default/build SUBDIRS=/home/crash/Desktop/dripkg/agpgart-2.0 modules
make[1]: Entering directory `/usr/src/linux-2.6.13-15-obj/i386/default'
make -C ../../../linux-2.6.13-15 O=../linux-2.6.13-15-obj/i386/default modules
CC [M] /home/crash/Desktop/dripkg/agpgart-2.0/backend.o
/home/crash/Desktop/dripkg/agpgart-2.0/backend.c:69: error: conflicting types for ‘agp_backend_acquire’
/usr/src/linux-2.6.13-15/include/linux/agp_backend.h:105: error: previous declaration of ‘agp_backend_acquire’ was here
/home/crash/Desktop/dripkg/agpgart-2.0/backend.c:89: error: conflicting types for ‘agp_backend_release’
/usr/src/linux-2.6.13-15/include/linux/agp_backend.h:106: error: previous declaration of ‘agp_backend_release’ was here
/home/crash/Desktop/dripkg/agpgart-2.0/backend.c:220: error: syntax error before ‘drm_agp’
/home/crash/Desktop/dripkg/agpgart-2.0/backend.c:220: warning: type defaults to ‘int’ in declaration of ‘drm_agp’
[...]
/home/crash/Desktop/dripkg/drm/drm_stub.h: In function ‘gdg_stub_putminor’:
/home/crash/Desktop/dripkg/drm/drm_stub.h:145: warning: ‘inter_module_put’ is deprecated (declared at /usr/src/linux-2.6.13-15/include/linux/module.h:573)
/home/crash/Desktop/dripkg/drm/drm_stub.h:147: warning: ‘inter_module_unregister’ is deprecated (declared at /usr/src/linux-2.6.13-15/include/linux/module.h:570)
/home/crash/Desktop/dripkg/drm/drm_stub.h: In function ‘gdg_stub_register’:
/home/crash/Desktop/dripkg/drm/drm_stub.h:177: error: implicit declaration of function ‘inter_module_get’
/home/crash/Desktop/dripkg/drm/drm_stub.h:188: warning: ‘inter_module_register’ is deprecated (declared at /usr/src/linux-2.6.13-15/include/linux/module.h:569)
make[5]: *** [/home/crash/Desktop/dripkg/drm/gdg_drv.o] Error 1
make[4]: *** [_module_/home/crash/Desktop/dripkg/drm] Error 2
make[3]: *** [modules] Error 2
make[2]: *** [modules] Error 2
make[2]: Leaving directory `/usr/src/linux-2.6.13-15-obj/i386/default'
make[1]: *** [modules] Error 2
make[1]: Leaving directory `/home/crash/Desktop/dripkg/drm'
make: *** [gdg.ko] Error 2[/b]

voila pour ceux qui comprenne....

ludoles
24/10/2005, 09h35
Faudrait peut être recompiler les modules d'aprés le nouveau noyau?... Je vois que ça...

crash
24/10/2005, 11h15
Et comment que je fais ???????? je suis en gros blairo en linux ;-)

ludoles
24/10/2005, 12h01
Théoriquement pour (juste) la compil des modules, il faut aller dans une console root aller dans le rep /usr/src/linux :
# cd /usr/src/linux
Pour info le rep /usr/src/linux est en fait un lien vers le rep /usr/src/linux-numversion du noyau actif
ensuite compiler les modules
# make modules
puis les installer
# make modules_install

Ceci dit, je n'ai jamais vu ce cas de figure (changement entre différentes versions du noyeau) et je ne suis même pas certain que cela soit à l'origine du problème...

thadrien
24/10/2005, 16h46
Salut,

Essaie avant tout de faire cd /usr/src/linux, puis make cloneconfig (pour configurer le noyau) et enfin make scripts (pour compiler les bons scripts)

Voila!

crash
24/10/2005, 18h54
veu tjrs pas :'( je comprend plus rien...

galagann
24/10/2005, 19h12
Tu peux nous donner la marque et référence de ton portable !